Bug 1130603 - advertise active commit to libvirt
Summary: advertise active commit to libvirt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Fam Zheng
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1041301
Blocks: 837916 1045196 1062142 1080820 1132806 1148201
TreeView+ depends on / blocked
 
Reported: 2014-08-15 16:05 UTC by Eric Blake
Modified: 2014-09-30 23:06 UTC (History)
21 users (show)

Fixed In Version: qemu-kvm-1.5.3-69.el7
Doc Type: Enhancement
Doc Text:
Clone Of: 1041301
: 1132806 (view as bug list)
Environment:
Last Closed: 2014-08-27 06:34:06 UTC


Attachments (Terms of Use)

Comment 1 Eric Blake 2014-08-15 16:10:03 UTC
The following commits occur in mdroth's stable-2.0-staging branch, which I have tested to be enough for upstream libvirt to drive active commit with the upcoming qemu 2.0.1, when coupled with the existing active commit support in qemu 2.0.  Since downstream qemu-kvm-rhev-1.5.3-60.el7_0_0.5.x86_64 has already picked everything related to active commit from qemu 2.0, it is probably just these remaining patches required before downstream libvirt can drive active commit.

3c548f6 mirror: Fix qiov size for short requests
d0d83e8 qemu-iotests: Test 0-length image for mirror
98103fa block: make 'top' argument to block-commit optional
e5f0eb0 qemu-iotests: Test BLOCK_JOB_READY event for 0Kb image active commit
43ac708 mirror: Go through ready -> complete process for 0 len image
8e09e20 blockjob: Add block_job_yield()
520b341 mirror: Fix resource leak when bdrv_getlength fails

Here's what they were picked from:

$ git log -7 mdroth/stable-2.0-staging | grep cherry
    (cherry picked from commit 5a0f6fd5c84573387056e0464a7fc0c6fb70b2dc)
    (cherry picked from commit 3b9f27d2b34cb8c5cc6cec993712c7e1943e9de9)
    (cherry picked from commit 7676e2c597000eff3a7233b40cca768b358f9bc9)
    (cherry picked from commit 8b9a30ca5bc10545637429486836f3c206c39fab)
    (cherry picked from commit 9e48b025400b2d284e17860862b0a4aa02c6032d)
    (cherry picked from commit dc71ce45ded4e872e25c2de32d5e7a71842b0985)
    (cherry picked from commit 373df5b135b4a54e0abb394e9e703fef3ded093c)

Comment 4 Miroslav Rezanina 2014-08-21 08:26:07 UTC
Reassigned to qemu-kvm component as main target for this fix is 7.0.z. Although qemu-kvm-rhev package is affected, 7.0.z uses shared code for qemu-kvm and qemu-kmv-rhev and we track all issues for these packages in qemu-kvm component.

Comment 5 Shaolong Hu 2014-08-22 03:03:40 UTC
As i understand, the patch set is to advertise active commit to libvirt, not functional one for qemu itself, so to kvm qe, only need to insure current function is not affected, coded related includes live commit, block mirror and iotests test suite, so three runs at least is recommended to verify this bug.

Comment 7 Miroslav Rezanina 2014-08-26 14:04:01 UTC
Fix included in qemu-kvm-1.5.3-69.el7


Note You need to log in before you can comment on or make changes to this bug.